package com.goldenwater.slaj.eme.service;

import java.util.List;
import com.goldenwater.slaj.eme.domain.BusiRegularEvalu;

/**
 * 应急预案定期评估 服务层
 */
public interface IBusiRegularEvaluService {

    /**
     * 查询应急预案定期评估
     * @param guid 查询条件
     * @return 应急预案定期评估
     */
    BusiRegularEvalu selectBusiRegularEvaluByGuid(String guid);

    /**
     * 查询应急预案定期评估列表
     * @param busiRegularEvalu 查询条件
     * @return 应急预案定期评估集合
     */
    List<BusiRegularEvalu> selectBusiRegularEvaluList(BusiRegularEvalu busiRegularEvalu);

    /**
     * 新增应急预案定期评估
     * @param busiRegularEvalu 应急预案定期评估
     * @return 影响行数
     */
    int insertBusiRegularEvalu(BusiRegularEvalu busiRegularEvalu);

    /**
     * 修改应急预案定期评估
     * @param busiRegularEvalu 应急预案定期评估
     * @return 影响行数
     */
    int updateBusiRegularEvalu(BusiRegularEvalu busiRegularEvalu);

    /**
     * 删除应急预案定期评估
     * @param guid 主键
     * @return 影响行数
     */
    int deleteBusiRegularEvaluByGuid(String guid);

    /**
     * 批量删除应急预案定期评估
     * @param guids 主键数组
     * @return 影响行数
     */
    int deleteBusiRegularEvaluByGuids(String[] guids);
}
